com.microfocus.awm.model.internal

## Class ActiveTaurusApplication

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.model.internal.ActiveTaurusApplication

- All Implemented Interfaces:
    IActiveTaurusApplication, IResource, org.eclipse.core.runtime.IAdaptable

      public class ActiveTaurusApplication
      extends Resource
      implements IActiveTaurusApplication

  Implementation of the Taurus Application singleton
  Author:
    Joachim Kaltenbach

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveTaurusApplication(java.lang.String pID)` Basic constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()` Removes this resource and all its children resources from cache.
    `ITaurusApplication` | `getActiveTaurusApplication()` Returns the active Taurus application.
    `static ActiveTaurusApplication` | `getInstance()` Gets the singleton instance.
    `void` | `setActiveTaurusApplication(ITaurusApplication pTaurusApplication)` Sets the given TaurusApplication as active Taurus application.

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addPropertyValue, addResourceChild, equals, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, hashCode, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### ActiveTaurusApplication

          public ActiveTaurusApplication(java.lang.String pID)

      Basic constructor.
      Parameters:
        `pID` - the ID

  - ### Method Detail

    - #### getInstance

          public static ActiveTaurusApplication getInstance()

      Gets the singleton instance.
      Returns:
        the instance

    - #### getActiveTaurusApplication

          public ITaurusApplication getActiveTaurusApplication()

      Description copied from interface: `IActiveTaurusApplication`
      Returns the active Taurus application.
      Specified by:
        `getActiveTaurusApplication` in interface `IActiveTaurusApplication`
      Returns:
        active Taurus application

    - #### setActiveTaurusApplication

          public void setActiveTaurusApplication(ITaurusApplication pTaurusApplication)

      Description copied from interface: `IActiveTaurusApplication`
      Sets the given TaurusApplication as active Taurus application.
      Specified by:
        `setActiveTaurusApplication` in interface `IActiveTaurusApplication`
      Parameters:
        `pTaurusApplication` - Taurus application to be set as active application

    - #### delete

          public void delete()
                      throws TaurusCoreException

      Description copied from interface: `IResource`
      Removes this resource and all its children resources from cache.
      Will not delete the physical resource on the target system.
      Specified by:
        `delete` in interface `IResource`
      Overrides:
        `delete` in class `Resource`
      Throws:
        `TaurusCoreException` - if the deletion of the resource fails
      See Also:
        `IResource.getChildrenResources()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.